extends Node


func _physics_process(delta: float) -> void:
	var shape: RectangleShape2D = $Area2D/CollisionShape2D.shape
	shape.extents.x += delta * 100.0


func body_entered(body: Node2D) -> void:
	print("Entered ", body)
	print("Frames ", Engine.get_physics_frames())
	set_physics_process(false)
	set_process(false)
